ompi/mca/btl/sm/btl_sm_frag.h File Reference.TH "ompi/mca/btl/sm/btl_sm_frag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/btl/sm/btl_sm_frag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include <sys/types.h>\fP
.br
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'btl_sm.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_BTL_SM_FRAG_ALLOC1\fP(frag, rc)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SM_FRAG_ALLOC2\fP(frag, rc)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SM_FRAG_RETURN1\fP(frag)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SM_FRAG_RETURN2\fP(frag)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_btl_sm_frag_t\fP \fBmca_btl_sm_frag_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_btl_sm_frag_t\fP \fBmca_btl_sm_frag1_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_btl_sm_frag_t\fP \fBmca_btl_sm_frag2_t\fP"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBmca_btl_sm_frag_type_t\fP { \fBMCA_BTL_SM_FRAG_SEND\fP, \fBMCA_BTL_SM_FRAG_PUT\fP, \fBMCA_BTL_SM_FRAG_GET\fP, \fBMCA_BTL_SM_FRAG_ACK\fP }"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_btl_sm_frag_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_btl_sm_frag1_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_btl_sm_frag2_t\fP)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_BTL_SM_FRAG_ALLOC1(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                        \
    opal_list_item_t* item;                                              \
    OMPI_FREE_LIST_WAIT(&mca_btl_sm_component.sm_frags1, item, rc);      \
    frag = (mca_btl_sm_frag_t*)item;                                     \
}
.fi
.SS "#define MCA_BTL_SM_FRAG_ALLOC2(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                        \
    opal_list_item_t* item;                                              \
    OMPI_FREE_LIST_WAIT(&mca_btl_sm_component.sm_frags2, item, rc);      \
    frag = (mca_btl_sm_frag_t*)item;                                     \
}
.fi
.SS "#define MCA_BTL_SM_FRAG_RETURN1(frag)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                         \
    OMPI_FREE_LIST_RETURN(&mca_btl_sm_component.sm_frags1, (opal_list_item_t*)(frag)); \
}
.fi
.SS "#define MCA_BTL_SM_FRAG_RETURN2(frag)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                         \
    OMPI_FREE_LIST_RETURN(&mca_btl_sm_component.sm_frags2, (opal_list_item_t*)(frag)); \
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
